SPLIT(1)

NAZWA
split - rozdziel plik na kawałki

SKŁADNIA

split
    [-linie] [-l linie] [--lines=linie]
    [-b bajty[bkm]] [--bytes=bajty[bkm]]
    [-C bajty[bkm]] [--line-bytes=bajty[bkm]]
    [--verbose] [--help] [--version]
    [plikwej [plikwyj-prefiks]]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo split
lub
    info split.

Ta strona podręcznika opisuje polecenie split w wersji GNU.

split tworzy jeden lub więcej plików wynikowych (tyle ile potrzeba), zawierających kolejne sekcje z plikwej, lub ze standardowego wejścia jeśli nie podano żadnego lub podano nazwę '-'. Domyślnie split do każdego pliku wynikowego wstawia 1000 linii, albo to co pozostało jeśli jest odeń mniejszy.

Nazwy plików wynikowych składają się z przedrostka, po którym następuje grupa liter, wybrana tak, iż połączenie plików wynikowych posortowanych wedle nazwy daje oryginalny plik wejściowy, w odpowiednim porządku. Domyślny przedrostek nazwy pliku wynikowego to 'x'. Jeśli podano argument plikwyj-prefiks, jest on używany zamiennie jako przedrostek nazwy pliku wyjściowego.

  OPCJE

-linie, -l linie, --lines=linie
    Wstawia linie linii pliku wejściowego do każdego pliku wyjściowego.

-b bajty[bkm], --bytes=bajty[bkm]
    Wstaw bajty bajtów pliku wejściowego do każdego pliku wyjściowego. bajty to niezerowa liczba całkowita, plus opcjonalnie jeden z poniższych znaków określających inną jednostkę:

    b   bloki 512-bajtowe.

    k   bloki kilobajtowe.

    m   bloki megabajtowe.

-C bajty[bkm], --line-bytes=bajty[bkm]
    Wstawia do każdego pliku wynikowego tyle kompletnych linii pliku wejściowego ile jest możliwe bez przekraczania bajty bajtów. Jeśli istnieje linia dłuższa, wstawia z niej wskazaną liczbę bajtów do każdego pliku wynikowego aż pozostanie mniej niż bajty bajtów linii, potem kontynuuje normalnie. bajty ma taki sam format jak w opcji --bytes.

--verbose
    Wyświetla komunikat na standardowym wyjściu diagnostycznym przed otwarciem każdego z plików wynikowych.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
head(1), tail(1), csplit(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.